Bug 480407 - initscripts: reorder sysinit scripts to support wireless + kerberos + ldap + autofs
initscripts: reorder sysinit scripts to support wireless + kerberos + ldap + ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 16:32 EST by W. Michael Petullo
Modified: 2014-03-16 23:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:09:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2009-01-16 16:32:32 EST
Description of problem:
The present, default ordering of sysinit does not support a system with the following characteristics:

o System accounts provided by LDAP + Kerberos
o Home directories NFS mounted by autofs
o Server hostname resolution provided by avahi / nss_mdns

This setup requires the following sequence of services during a system boot:

1. messagebus
2. wpa_supplicant
3. network
4. avahi-daemon
5. rpcidmapd
6. autofs

Version-Release number of selected component (if applicable):
initscripts-8.86-1.ppc

How reproducible:
Every time

Steps to Reproduce:
1. Set up wireless networking (wlan0), kerberos, LDAP, nss-mdns and autofs
2. chkconfig network on
3. Reboot
  
Actual results:
o Network script will not bring up wlan0 because wpa_supplican is not yet up.
o Autofs will not read it configuration from LDAP because (in addition to wlan0 not being up) avahi-daemon will not yet help resolve the LDAP server's hostname.

Expected results:
Everything should initialize properly.

Additional info:
The following changes to service boot sequences fix the problem:

network: from 10 to 24
avahi-daemon: from 96 to 27
rpcidmapd: from 18 to 27

I don't use NetworkManager because it will not initialize my wireless network when my system boots (see bug #448760).
Comment 1 Bill Nottingham 2009-01-16 16:55:01 EST
That will break (among other things) where ypbind, et. al. are, and I believe there would be a loop created somewhere.
Comment 2 Bill Nottingham 2009-01-16 16:58:49 EST
Specifically, there's a soft depedency on network in rsyslog, that's done just via numbers, and if you change that, things go bad very quickly. 

In the long run, it's why dependencies need evaluated dynamically at boot, not statically.
Comment 3 W. Michael Petullo 2009-02-18 18:51:54 EST
See also https://bugzilla.redhat.com/show_bug.cgi?id=448510.
Comment 4 Bill Nottingham 2009-03-20 16:01:31 EDT
WPA in initscripts is a separate bug (154348). As for the rest, until we move to a dynamic system, I doubt this is practical.
Comment 5 W. Michael Petullo 2009-03-21 21:36:16 EDT
(In reply to comment #4)
> WPA in initscripts is a separate bug (154348). As for the rest, until we move
> to a dynamic system, I doubt this is practical.  

Is this not what upstart was for?
Comment 6 Bill Nottingham 2009-03-23 11:54:37 EDT
In general, yes. For the specific case of SysVinit services, no - it just uses whatever the OS already uses for those scripts.
Comment 7 W. Michael Petullo 2009-10-11 07:17:59 EDT
The following order change worked with Fedora 12 Alpha:

network 10 -> 24
avahi 96 -> 25
rpcidmapd 18 ->27
Comment 8 W. Michael Petullo 2010-01-11 21:51:02 EST
The default ordering in Fedora has improved. NetworkManager now initializes network devices and is appropriately started at priority 27. Avahi is started at priority 24 and this works. The only change required is:

rpcidmapd 18 -> 27

to ensure rpcidmapd starts after NetworkManager (though both priority 27, r comes after N).

I've reopened the bug because fixing this now only requires the analysis of the affect of one priority change, namely rpcidmapd.
Comment 9 Bug Zapper 2010-11-04 07:33:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 W. Michael Petullo 2010-11-04 11:59:27 EDT
Fedora 14 uses:

S23NetworkManager
S24avahi-daemon
S18rpcidmapd
S28autofs

The ordering of rpcidmapd is suboptimal, as noted in comment #8.
Comment 11 Fedora End Of Life 2012-08-16 18:09:03 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.